org.apache.ignite.internal.processors.cache.persistence.snapshot

## Class SnapshotMetadata

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.snapshot.SnapshotMetadata

All Implemented Interfaces:
  Serializable

    public class SnapshotMetadata
    extends Object
    implements Serializable

Snapshot metadata file.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SnapshotMetadata(UUID rqId, String snpName, String consId, String folderName, int pageSize, List<Integer> grpIds, Set<String> bltNodes, Set<GroupPartitionId> pairs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<String>` `baselineNodes()`
`List<Integer>` `cacheGroupIds()`
`String` `consistentId()`
`boolean` `equals(Object o)`
`String` `folderName()`
`int` `hashCode()`
`int` `pageSize()`
`Map<Integer,Set<Integer>>` `partitions()`
`UUID` `requestId()`
`boolean` `sameSnapshot(SnapshotMetadata compare)`
`String` `snapshotName()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SnapshotMetadata

    public SnapshotMetadata(UUID rqId,
                            String snpName,
                            String consId,
                            String folderName,
                            int pageSize,
                            List<Integer> grpIds,
                            Set<String> bltNodes,
                            Set<GroupPartitionId> pairs)

Parameters:
  `rqId` - Unique snapshot request id.
  `snpName` - Snapshot name.
  `consId` - Consistent id of a node to which this metadata relates.
  `folderName` - Directory name which stores the data files.
  `pageSize` - Page size of stored snapshot data.
  `grpIds` - The list of cache groups ids which were included into snapshot.
  `bltNodes` - The set of affected by snapshot baseline nodes.

### Method Detail

#### requestId

    public UUID requestId()

Returns:
  Unique snapshot request id.

#### snapshotName

    public String snapshotName()

Returns:
  Snapshot name.

#### consistentId

    public String consistentId()

Returns:
  Consistent id of a node to which this metadata relates.

#### folderName

    public String folderName()

Returns:
  Directory name which stores the data files.

#### pageSize

    public int pageSize()

Returns:
  Page size of stored snapshot data.

#### cacheGroupIds

    public List<Integer> cacheGroupIds()

Returns:
  The list of cache group IDs which were included into the snapshot globally.

#### baselineNodes

    public Set<String> baselineNodes()

Returns:
  The set of affected by snapshot baseline nodes.

#### partitions

    public Map<Integer,Set<Integer>> partitions()

Returns:
  Map of cache group partitions from which snapshot has been taken on the local node (which is actually saved on the local node because some of them may be skipped due to cache node filter).

#### sameSnapshot

    public boolean sameSnapshot(SnapshotMetadata compare)

Parameters:
  `compare` - Snapshot metadata to compare.
Returns:
  `true` if given metadata belongs to the same snapshot.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021